### STAGE 1: Build ###
FROM openjdk:11-slim-buster as build                         
RUN mkdir -p /app
WORKDIR /app
 
COPY .mvn/ .mvn
COPY mvnw pom.xml ./
COPY src ./src 

RUN chmod +x mvnw
RUN ./mvnw -B package                                        

### STAGE 2: Run ###
FROM openjdk:11-jre-slim-buster             
COPY --from=build /app/target/*.jar /spring-back.jar        
EXPOSE 8080
ENTRYPOINT ["java", "-jar", "/spring-back.jar"]


